Subject: bug#22083: 25.0.50; hg: adding tag enhances the rev, modeline does not reflect

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Dec 2015 17:37:48 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 4 Dec 2015 17:21:38 +0200
> 
> On 12/04/2015 05:19 PM, Eli Zaretskii wrote:
> 
> >> I think some of them don't have branches, at least.
> >
> > Which ones?  I think all of them do.
> 
> I don't know. SRC? RCS?

RCS does.  SRC is just RCS in disguise, so it has them as well.

> > OK, so the next question is: should the modeline also show something
> > that reflects the current head?
> 
> The revision number, you mean?

The revision number for a VCS that has it.  Something close, like the
output of "git describe", for those that don't.

> Yes, I agree it's a question. I don't know how to answer it.

My suggestion would be to have it displayed.  We could also have an
optional behavior where only the branch name is shown.  (I have no
opinion on whether that should be the default.)